Skip to main content
curl --request GET 'https://api.mayar.id/hl/v2/products/e2b3f5d5-0c62-47ba-8a01-6c1c209e0f77/reviews?limit=10' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": [
        {
            "id": "11f4d767-4d88-41ff-8777-06564d906fe7",
            "createdAt": 1767063610103,
            "customerId": "22eb6224-c20a-4bc2-9b99-13b21e7048c6",
            "message": "Materinya jelas dan mudah dipahami, terima kasih!",
            "paymentLinkId": "e2b3f5d5-0c62-47ba-8a01-6c1c209e0f77",
            "status": "ACTIVE",
            "rating": 5,
            "updatedAt": 1767762378460,
            "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
            "multipleImage": [],
            "content": [
                {
                    "id": "b2c3d4e5-f6a7-4890-b123-456789abcdef",
                    "value": "c3d4e5f6-a7b8-4901-c234-56789abcdef0",
                    "file": {
                        "id": "c3d4e5f6-a7b8-4901-c234-56789abcdef0",
                        "filename": "ulasan-video.mp4",
                        "mimetype": "video/mp4",
                        "size": 5698168
                    }
                }
            ],
            "customer": {
                "id": "22eb6224-c20a-4bc2-9b99-13b21e7048c6",
                "name": "Budi Santoso"
            },
            "paymentLink": {
                "id": "e2b3f5d5-0c62-47ba-8a01-6c1c209e0f77",
                "name": "Kelas Pemrograman Web Dasar",
                "type": "course",
                "link": "kelas-pemrograman-web-dasar",
                "subType": null
            }
        }
    ],
    "hasMore": false,
    "nextStartingAfter": null
}
Endpoint:
https://api.mayar.id/hl/v2/products/{paymentLinkId}/reviews

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-Api-Key-Here

Path Parameters

ID of the payment link / product whose reviews you want to retrieve.

Query Parameters

limit
number
Maximum number of reviews to return per page. Used for cursor pagination.
startingAfter
string
Cursor for the next page. Pass the nextStartingAfter value from the previous response.
rating
number
Filter reviews by rating value (1–5).
prioritizeMessage
boolean
When true, reviews that include a message are returned before reviews without a message.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code returned by the API.
messages
string
Status message that describes the API response.
data
array of object
Array containing review objects for the product.
hasMore
boolean
Indicates whether more review data is available beyond the current page.
nextStartingAfter
string | null
Cursor to fetch the next page. null when there are no more results.

data Structure (Array Of Object)

data.id
string
Unique review ID.
data.createdAt
number
Unix timestamp in milliseconds indicating when the review was created.
data.customerId
string
Unique customer identifier associated with the review.
data.message
string
Review message submitted by the customer.
Payment link ID associated with the review.
data.status
string
Current review status.
data.rating
number
Rating value submitted by the customer.
data.updatedAt
number
Unix timestamp in milliseconds indicating when the review was last updated.
data.userId
string
Unique user ID associated with the payment link owner.
data.multipleImage
array of object
List of review images attached by the customer.
data.content
array of object
Additional review content (for example uploaded videos), each with a nested file object (id, filename, mimetype, size).
data.customer
object
Customer information object (id, name).
Payment link information object (id, name, type, link, subType).